defmodule Openpod.Utility.Format do
  @moduledoc """
  This module provides utility to format a string
  """

  def compile(subject, replacements) do
    replacements
    |> Enum.reduce(subject, fn {replacement_key, replacement_value}, subject -> String.replace(subject, "{#{replacement_key}}", replacement_value) end)
  end
end
